Subject: BP Amoco Corporation ("Amoco")
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 4 Jan 2000 07:25:00 -0800 (PST)

Pending execution of a master agreement, Amoco transactions continue to be 
documented under the omnibus.  Willie has brought to my attention three 
issues which continue to be raised by Amoco:

1.  Procedures for entering into Transactions: deletion of response within 2 
Business Days after receipt of confirmation and failure to respond as 
conclusive evidence of Transaction

2.  Setoff:  there doesn't seem to be an "Affliliate" issue but I'm not 
certain of their comment to setoff applicable against a "derivative amount" 
(are they attempting to prevent setoff against physical amounts owing? or 
only trying to clarify that unpaid "derivative amounts" can be setoff against 
other amounts due?)

3.  Choice of law:  change to NY

I thought you could address these issues in your negotiations and let Willie 
know how to handle.  I've left confirm in your office.  Thanks.  Sara